#!/bin/bash

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=$(git rev-parse --show-toplevel)
cd "$GIT_ROOT"/generation

# define useful variables
source 00env.sh

# useful tools
apt -y install sudo wget tree pip
git config --local user.email "ophelie.gagnard@nexedi.com"
git config --local user.name "Ophelie Gagnard"

# building initramfs
apt -y install dracut-core dracut dracut-network sbsigntool pip
apt -y build-dep linux
apt -y install libncurses-dev
# the next line should be enabled when the following is merged and an egg containing the changes is released:
# https://lab.nexedi.com/nexedi/slapos.libnetworkcache/merge_requests/8
#pip install slapos.libnetworkcache
NC_BRANCH=cmdline-selection
NC_DIR="${NC_BRANCH}"_slapos.libnetworkcache
cd ..
if [ ! -d "$NC_DIR" ]; then
	git clone https://lab.nexedi.com/Ophelie/slapos.libnetworkcache.git "$NC_DIR"
	cd "$NC_DIR"
	git checkout "$NC_BRANCH"
	cd ..
	pip install -e "$NC_DIR"
fi
cd generation
rm -f *"$MCA_PACKAGE_NAME"*
rm -f *"$FLB_PACKAGE_NAME"*
rm -f *"$PLG_PACKAGE_NAME"*
apt -y remove "$MCA_PACKAGE_NAME" "$FLB_PACKAGE_NAME" "$PLG_PACKAGE_NAME" || true
wget "$MCA_PACKAGE_URL"
wget "$FLB_PACKAGE_URL"
wget "$PLG_PACKAGE_URL"
apt -y install ./"$MCA_PACKAGE_FILE"
apt -y install ./"$FLB_PACKAGE_FILE"
apt -y install ./"$PLG_PACKAGE_FILE"

FLB_CONF_PATH="/opt/${PLG_PACKAGE_NAME}/etc"
cp "${FLB_CONF_PATH}/flb.conf.in"  "${FLB_CONF_PATH}/flb.conf"
echo "Created ${FLB_CONF_PATH}/flb.conf from template ${FLB_CONF_PATH}/flb.conf.in"

echo -e "\nDependencies successfully installed!\n"
