#!/bin/bash

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=`git rev-parse --show-toplevel`
cd "$GIT_ROOT"/installation

# define useful variables
source env.sh

# useful tools
apt -y install $APT_UTILITY_PACKAGES
git config --global user.email "ophelie.gagnard@nexedi.com"
git config --global user.name "Ophelie Gagnard"

# building initramfs
apt -y install $APT_SPECIFIC_PACKAGES
rm -f "$MCA_PACKAGE_FILE"
rm -f "$FLB_PACKAGE_FILE"
wget "$MCA_PACKAGE_URL"
wget "$FLB_PACKAGE_URL"
apt -y install ./"$MCA_PACKAGE_FILE"
apt -y install ./"$FLB_PACKAGE_FILE"

MCA_CONF_PATH="/opt/${MCA_PACKAGE_NAME}/etc"
CONF_REGEX="s|%WENDELIN_URL%|${WENDELIN_URL}|g;s|%WENDELIN_PWD%|${WENDELIN_PWD}|g;s|%WENDELIN_REFERENCE%|${WENDELIN_REFERENCE}|g"
sed "$CONF_REGEX" "${MCA_CONF_PATH}/flb.conf.in" > "${MCA_CONF_PATH}/flb.conf"
echo "Created ${MCA_CONF_PATH}/flb.conf from template ${MCA_CONF_PATH}/flb.conf.in"
